#
# spec file for package srm
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           srm
Version:        1.2.15
Release:        4.3
# COPYING file has the MIT license, but also a extra no-advertising clause
Summary:        A secure replacement for rm
License:        SUSE-SGI-FreeB-2.0
Group:          Hardware/Other
Url:            http://srm.sf.net
Source0:        http://sourceforge.net/projects/srm/files/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unlike the standard rm, srm overwrites the data in the target files before unlinking them. This prevents command-line recovery of the data by examining the raw block device. It may also help frustrate physical examination of the disk, although it's unlikely that it can completely prevent that type of recovery. It is, essentially, a paper shredder for sensitive files.

srm is ideal for personal computers or workstations with Internet connections. It can help prevent malicious users from breaking in and undeleting personal files, such as old emails. It's also useful for permanently removing files from expensive media. For example, cleaning your diary off the zip disk you're using to send vacation pictures to Uncle Lou. Because it uses the exact same options as rm(1), srm is simple to use. Just subsitute it for rm whenever you want to destroy files, rather than just unlinking them.

%prep
%setup -q

%build
%configure --disable-debug
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/fill_test
%{_bindir}/%{name}
%{_mandir}/man?/%{name}*

%changelog
* Thu Mar 26 2015 p.drouand@gmail.com
- Update to version 1.2.15
  * fix handling of files > 2GB on Windows.
  * fix handling of symlinks to files owned by root.
- Changes from version 1.2.14
  * fix fill() function, this fixes DoE and Gutmann modes.
  * new --rcmp mode.
  * use simple mode by default and not Gutmann 35 pass.
* Mon Sep  1 2014 Greg.Freemyer@gmail.com
- update to v1.2.13
  * add command line are for Gutmann method
  * overwrite POSIX attributes on Linux
  * exit status 1 if remove fails
  * various code cleanups - see <http://sourceforge.net/p/srm/srm/commit_browser>
* Tue Sep 18 2012 cfarrell@suse.com
- license update: SUSE-SGI-FreeB-2.0
  MIT with the advertising clause below is more akin to the SGI FreeB 2.0
  license
* Mon Sep 17 2012 Greg.Freemyer@gmail.com
- replace _service with a tarball in preparation of submission to factory
* Tue Sep  4 2012 Greg.Freemyer@gmail.com
- ran thru spec-cleaner
- change license in specfile from BSD to MIT
- remove "-autoreconf -fiv" so it can build with OS 12.2
- remove srm-configure.patch since it is no longer used by autoreconf
- add --disable-debug to configure line
* Fri Feb 25 2011 crrodriguez@opensuse.org
- Fix header detection
* Fri Feb 25 2011 crrodriguez@opensuse.org
- Initial version
